---
- name: Bootstrap Hetzner hosts via ansible-pull
  hosts: all
  tasks:
    - name: Install hashicorp stable repo
      yum_repository:
        name: hashicorp
        description: Hashicorp Stable - $basearch
        baseurl: https://rpm.releases.hashicorp.com/RHEL/$releasever/$basearch/stable
        enabled: yes
        gpgcheck: yes
        gpgkey: https://rpm.releases.hashicorp.com/gpg
        file: hashicorp

    - name: Install hashicorp testing repo
      yum_repository:
        name: hashicorp-test
        description: Hashicorp Test - $basearch
        baseurl: https://rpm.releases.hashicorp.com/RHEL/$releasever/$basearch/test
        enabled: no
        gpgcheck: yes
        gpgkey: https://rpm.releases.hashicorp.com/gpg
        file: hashicorp
